MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026153Open CASCADE[OCCT] OCCT:DRAWpublic2015-04-27 12:092015-10-23 20:51
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026153: Draw Harness, ViewerTest - "verase" does not remove selection highlight for shaded object
DescriptionThe bug reproduced for a shape displayed in presentation mode not equal to its highlighting mode.
Steps To Reproduce
vinit View1 w=400 h=400
box b 1 1 1
vdisplay b
vsetdispmode b 1
vfit
vmoveto 200 200
vselect 200 200
verase
vmoveto 200 300


BUG -> wireframe remains unerased, see attached "scenario_result.png"
TagsNo tags attached.
Test case number
Attached Filespng file icon scenario_result.png (2,959 bytes) 2015-04-27 12:09

- Relationships
related to 0026628closedbugmaster Open CASCADE Button Erase (Delete where erase algorythm is used) works incorrect 

-  Notes
(0040604)
git (administrator)
2015-05-06 12:02

Branch CR26153 has been created by isk.

SHA-1: 71319ee544d5f7a358c08befc1b65b5e5548a88a


Detailed log of new commits:

Author: isk
Date: Wed May 6 12:02:07 2015 +0300

    0026153: Draw Harness, ViewerTest - "verase" does not remove selection highlight for shaded object
(0040606)
isk (developer)
2015-05-06 12:06

Dear Kirill,
Please review the branch CR26153.
(0040612)
git (administrator)
2015-05-06 13:10

Branch CR26153 has been updated forcibly by isk.

SHA-1: 3a1391b104a9d49d603e45a3d1fba441a9922672
(0041144)
git (administrator)
2015-05-14 17:05

Branch CR26153 has been updated forcibly by isk.

SHA-1: 8ed02a1fc193330709aa25416cbcb3b9c4f3db9e
(0041150)
apl (developer)
2015-05-14 17:50

Dear bugmaster,

The branch is reviewed. Please test.
(0041194)
git (administrator)
2015-05-15 17:54

Branch CR26153 has been updated forcibly by apv.

SHA-1: 8a8d8aa671ab3ded8efdc0dbe655788a1e02bf47
(0041195)
apv (tester)
2015-05-15 17:55

Branch CR26153 has been rebased on the current master
(0041251)
apv (tester)
2015-05-18 18:53

Dear BugMaster,

Branch CR26153 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8a8d8aa671ab3ded8efdc0dbe655788a1e02bf47

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
http://occt-tests/CR26153-master-occt-64/Debian70-64/summary.html [^]
bugs vis bug21091_3

Testing on Linux:
Total MEMORY difference: 96063121 / 100184234 [-4.11%]
Total CPU difference: 19695.21000000154 / 19381.350000000177 [+1.62%]

Testing on Windows:
Total MEMORY difference: 59029540 / 59238446 [-0.35%]
Total CPU difference: 17287.921619298882 / 16980.911651298946 [+1.81%]
(0041940)
kgv (developer)
2015-06-04 14:20

Dear bugmaster,

> Regressions/Differences:
> http://occt-tests/CR26153-master-occt-64/Debian70-64/summary.html [^] [^]
> bugs vis bug21091_3
I can not find any relationship between this patch and affected test case.
Could you please re-check this test and confirm that result PDF differs before/after the patch only on Debian?
(0042048)
git (administrator)
2015-06-09 12:41

Branch CR26153 has been updated forcibly by apv.

SHA-1: 75c63bf04e75fe253d5ac01b639ab2a04580f6f3
(0042049)
apv (tester)
2015-06-09 12:42

Branch CR26153 has been rebased on the current master
(0043543)
git (administrator)
2015-07-27 13:48

Branch CR26153 has been deleted by kgv.

SHA-1: 75c63bf04e75fe253d5ac01b639ab2a04580f6f3

- Related Changesets
occt: master c3ec36b6
Timestamp: 2015-05-14 14:04:15
Author: isk
Committer: bugmaster
Details ] Diff ]
0026153: Draw Harness, ViewerTest - "verase" does not remove selection highlight for shaded object
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-04-27 12:09 apl New Issue
2015-04-27 12:09 apl Assigned To => kgv
2015-04-27 12:09 apl File Added: scenario_result.png
2015-04-27 12:13 apl Target Version 6.9.0 => 7.1.0
2015-04-30 15:36 kgv Assigned To kgv => isk
2015-04-30 15:36 kgv Status new => assigned
2015-04-30 15:36 kgv Steps to Reproduce Updated View Revisions
2015-04-30 15:36 kgv Product Version => 6.9.0
2015-05-06 12:02 git Note Added: 0040604
2015-05-06 12:06 isk Note Added: 0040606
2015-05-06 12:06 isk Assigned To isk => kgv
2015-05-06 12:06 isk Status assigned => resolved
2015-05-06 13:10 git Note Added: 0040612
2015-05-12 12:14 kgv Assigned To kgv => apl
2015-05-14 17:05 git Note Added: 0041144
2015-05-14 17:50 apl Note Added: 0041150
2015-05-14 17:50 apl Assigned To apl => bugmaster
2015-05-14 17:50 apl Status resolved => reviewed
2015-05-15 16:19 apv Assigned To bugmaster => apv
2015-05-15 17:54 git Note Added: 0041194
2015-05-15 17:55 apv Note Added: 0041195
2015-05-18 18:53 apv Note Added: 0041251
2015-05-18 18:53 apv Assigned To apv => isk
2015-05-18 18:53 apv Status reviewed => assigned
2015-06-04 12:36 anv Relationship added has duplicate 0026309
2015-06-04 14:20 kgv Note Added: 0041940
2015-06-04 14:20 kgv Assigned To isk => bugmaster
2015-06-04 14:20 kgv Status assigned => feedback
2015-06-04 15:13 bugmaster Assigned To bugmaster => apv
2015-06-09 12:41 git Note Added: 0042048
2015-06-09 12:42 apv Note Added: 0042049
2015-06-09 12:42 apv Assigned To apv => bugmaster
2015-06-09 12:42 apv Status feedback => tested
2015-06-17 17:51 bugmaster Changeset attached => occt master c3ec36b6
2015-06-17 17:51 bugmaster Status tested => verified
2015-06-17 17:51 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-07-27 13:48 git Note Added: 0043543
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-09-02 12:29 apn Relationship added related to 0026628
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker